<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'guru',

    /*
     * Package.
     */
    'package'   => 'offer',

    /*
     * Modules.
     */
    'modules'   => ['offer', 'category'],


    'offer'       => [
        'model'             => 'Guru\Offer\Models\Offer',
        'table'             => 'offers',
        'presenter'         => \Guru\Offer\Repositories\Presenter\OfferItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'content',  'url',  'category_id'],
        'translate'         => ['name',  'content',  'url',  'category_id'],

        'upload-folder'     => '/uploads/offer/offer',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'category'       => [
        'model'             => 'Guru\Offer\Models\Category',
        'table'             => 'categories',
        'presenter'         => \Guru\Offer\Repositories\Presenter\CategoryItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name'],
        'translate'         => ['name'],

        'upload-folder'     => '/uploads/offer/category',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
